$(function(){
	var clickMobile = 1;
	$('.menu-mobile').click(function(ev){
		ev.preventDefault();
		if(clickMobile == 1){
			$('.menu ul').show();
			$('.menu ul').animate({"height" : "+=174px"}, "fast", function(){
				clickMobile = 2;
				$('.menu-mobile .control-nav').addClass('active');
			});
		}else{
			$('.menu ul').animate({"height" : "-=174px"}, function(){
				clickMobile = 1;
				$('.menu ul').hide();
				$('.menu-mobile .control-nav').removeClass('active');
			});
		}
	});

	var telaWidth, totalMover;
	function Mobile(){
		telaWidth = $(window).width();
		if(telaWidth < 700){
			$('.menu').css("width", telaWidth);
			$('.slide').css("width", telaWidth);
			$('.mobile-top .imagens ul').css("width", telaWidth);
			totalMover = $('.menu').width() - $('.search-mobile').width();
		}
	}

	$(window).resize(Mobile);

	// Funções MOBILES
	// function MobileEngine(){
	// 	menuPos = $(".menu").offset().top;
	// 	$(window).scroll(function () {
	// 		if ($(this).scrollTop() >= menuPos && telaWidth <= 700) {
	// 			$('.menu').addClass("fixed");
	// 			//$('header').eq(0).css("padding-bottom", "60px");
	// 		}else{
	// 			$('.menu').removeClass("fixed");
	// 			//$('header').eq(0).css("padding-bottom", "0");
	// 		}
	// 	});
	// }
	Mobile();
	//MobileEngine();

	$("a[rel^='prettyPhoto']").prettyPhoto();

	/*Menu fixo*/
	function exibirMenu () {
		$('.fixedMenu').css({
			'-webkit-transform': 'translateY(90px)',
			'-moz-transform': 'translateY(90px)',
			'-ms-transform': 'translateY(90px)',
			'-o-transform': 'translateY(90px)',
			'transform': 'translateY(90px)'
		});
	}

	function ocultarMenu () {
		$('.fixedMenu').css({
			'-webkit-transform': 'translateY(-90px)',
			'-moz-transform': 'translateY(-90px)',
			'-ms-transform': 'translateY(-90px)',
			'-o-transform': 'translateY(-90px)',
			'transform': 'translateY(-90px)'
		});
	}

	$(document).scroll(function() {
		($(document).scrollTop() > 196) ? exibirMenu() : ocultarMenu();
	});

	$('.slides').slick({
		dots: true,
		arrows: false,
		slidesToShow: 1,
		slidesToScroll: 1,
		fade: true,
		autoplay: true,
		autoplaySpeed: 3000
	});

	var mySwiper = new Swiper ('.swiper-container', {
		loop: true,
		autoplay: 3000,
		// Navigation arrows
		prevButton: '.prev-slide',
		nextButton: '.next-slide',
	})

	$('.imgPrincipalGaleria').slick({
		asNavFor: '.imgThumbGaleria',
		dots: false,
		arrows: false,
		slidesToShow: 1,
		slidesToScroll: 1,
		fade: true,
		autoplay: true,
		autoplaySpeed: 3000
	});

	$('.imgThumbGaleria').slick({
		asNavFor: '.imgPrincipalGaleria',
		dots: false,
		arrows: false,
		slidesToShow: 3,
		slidesToScroll: 1,
		focusOnSelect: true
	});

});